#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, x, br = 0;
    map<int, int> polja;
    vector<int> p;

    scanf("%d%d", &n, &k);

    for(int i = 0; i < n; ++i)
    {
        scanf("%d", &x);
        polja[x]++;
        if(polja[x] == k)
        {
            br++;
            p.push_back(x);
        }
    }

    printf("%d \n", br);

    int j = p.size();

    for(int i = 0; i < j; ++i) printf("%d ", p[i]);

    return 0;
}